> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bindings

> List all role bindings (who has what access to which resources).



## OpenAPI

````yaml GET /api/v1/access-control/bindings
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/access-control/bindings:
    get:
      tags:
        - Access Control
      summary: List role bindings.
      description: >-
        List the role bindings (principal, role, resource) configured on your
        account.
      operationId: list_bindings
      parameters:
        - name: resource
          in: query
          description: Canonical resource ref
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Bindings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BindingsResponse'
      security:
        - bearer: []
components:
  schemas:
    BindingsResponse:
      type: object
      required:
        - bindings
      properties:
        bindings:
          type: array
          items:
            $ref: '#/components/schemas/AccessBinding'
    AccessBinding:
      type: object
      required:
        - principal_ref
        - resource_ref
        - role
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          format: date-time
        created_by_ref:
          type:
            - string
            - 'null'
        principal_ref:
          type: string
        resource_ref:
          type: string
        role:
          type: string
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````